@echo off
rem ------------------------------------------------------------------------
rem  "run_comb.bat" - auto-generation batch file
rem     This is a part of KUCRS:
rem        Knowledge-basing Utilities for Complex Reaction Systems
rem                     (c) 2002-2021 by A. Miyoshi, Hiroshima University
rem                                last edited: Aug. 19, 2021
rem ------------------------------------------------------------------------
rem
rem ----- combust ------------------------------------------
combust %1.inp > %1.log
 if errorlevel 1 goto errcbend
rem
rem ----- trangen ------------------------------------------
trangen %1_thg.inp > %1_trn.log
 if errorlevel 1 goto errtrend
del %1_trn.log
rem
rem ----- thermgen -----------------------------------------
thermgen %1_thg.inp %1_thg.lst > %1_thg.log
 if errorlevel 1 goto errtgend
del %1_thg.inp %1_thg.log
rem
rem ----- thermpac & pac99m --------------------------------
thermpac %1_thg.lst %1_thg.i97 > %1_thp.log
 if errorlevel 1 goto errtpend
pac99m %1_thg
c97to7m < %1_thg.c97 > %1_thg.dat
del %1_thg.lst %1_thf.inp %1_thp.log %1_thg.i97 %1_thg.o97 %1_thg.c97 new.groups unf.EFdata
rem
rem ----- mol2smiles ---------------------------------------
mol2smiles %1_mol.dat %1.smiles -l > %1_m2s.log
 if errorlevel 1 goto errm2end
copy /b %1_sp_.csv + %KUCRS_LIB%\mol_1_spc_add.csv %1_spc.csv > nul
copy /b %1_sp_.lst + %KUCRS_LIB%\mol_1_spc_add.lst %1_spc.lst > nul
copy /b %1.smiles + %KUCRS_LIB%\smiles_1_add.inp %1_smiles.inp > nul
del %1_m2s.log %1_sp_.csv %1_sp_.lst %1.smiles
rem
rem ----- chemgen ------------------------------------------
chemgen %1_chg.inp %1_thg.dat > %1_chg.log
 if errorlevel 1 goto errcgend
del %1_chg.inp %1_thg.dat
rem
rem ----- bsmiles ------------------------------------------
bsmiles %1_thm.dat %1_spc.csv %1_the.dat > %1_bsm.log
 if errorlevel 1 goto errbsend
del %1_spc.csv %1_thm.dat %1_bsm.log
copy /b %1_spc.inp + %1_the.dat + %1_rxn.inp %1_chm.inp > nul
del %1_spc.inp %1_the.dat %1_rxn.inp %1_fue.log
del %1_chg.log %1_mol.dat %1_mol.log %1_smiles.inp %1_spc.lst %1_snk.inp
rem
echo run_comb - terminated normally.
 goto :EOF
rem
rem ..... error traps ......................................
:errcbend
 echo run_comb - ERROR returned from combust - Abort.
 goto :EOF
:errtrend
 echo run_comb - ERROR returned from trangen - Abort.
 goto :EOF
:errtgend
 echo run_comb - ERROR returned from thermgen - Abort.
 goto :EOF
:errtpend
 echo run_comb - ERROR returned from thermpac - Abort.
 goto :EOF
:errm2end
 echo run_comb - ERROR returned from mol2smiles - Abort.
 goto :EOF
:errcgend
 echo run_comb - ERROR returned from chemgen - Abort.
 goto :EOF
:errbsend
 echo run_comb - ERROR returned from bsmiles - Abort.
